Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(70)

Issue 101203012: [chromedriver] Add an error autoreporting feature that automatically raises errors from browser logs (Closed)

Created:
5 years, 11 months ago by samuong
Modified:
5 years, 10 months ago
CC:
chromium-reviews, chrisgao (Use stgao instead), frankf
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

[chromedriver] Add an error autoreporting feature that automatically raises errors from browser logs BUG=chromedriver:543 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=245432

Patch Set 1 #

Total comments: 35

Patch Set 2 : Address comments from review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+165 lines, -2 lines) Patch
M chrome/test/chromedriver/client/chromedriver.py View 1 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/client/command_executor.py View 1 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/commands.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/logging.h View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/logging.cc View 1 1 chunk +20 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/logging_unittest.cc View 1 chunk +16 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/server/http_handler.cc View 1 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/session.h View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/session.cc View 1 3 chunks +17 lines, -2 lines 0 comments Download
M chrome/test/chromedriver/session_commands.h View 1 1 chunk +10 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/session_commands.cc View 1 1 chunk +19 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/session_commands_unittest.cc View 1 1 chunk +44 lines, -0 lines 0 comments Download
M chrome/test/chromedriver/test/run_py_tests.py View 1 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
samuong
5 years, 11 months ago (2014-01-07 17:25:10 UTC) #1
frankf
lgtm w/ nits https://codereview.chromium.org/101203012/diff/1/chrome/test/chromedriver/client/chromedriver.py File chrome/test/chromedriver/client/chromedriver.py (right): https://codereview.chromium.org/101203012/diff/1/chrome/test/chromedriver/client/chromedriver.py#newcode319 chrome/test/chromedriver/client/chromedriver.py:319: self.ExecuteCommand(Command.SET_AUTO_REPORTING_ENABLED, {'enable': enable}) i'd name enable ...
5 years, 11 months ago (2014-01-08 01:23:49 UTC) #2
chrisgao (Use stgao instead)
You could consider addressing some of my comments in a followup CL if you feel ...
5 years, 11 months ago (2014-01-09 22:11:55 UTC) #3
samuong
https://codereview.chromium.org/101203012/diff/1/chrome/test/chromedriver/client/chromedriver.py File chrome/test/chromedriver/client/chromedriver.py (right): https://codereview.chromium.org/101203012/diff/1/chrome/test/chromedriver/client/chromedriver.py#newcode319 chrome/test/chromedriver/client/chromedriver.py:319: self.ExecuteCommand(Command.SET_AUTO_REPORTING_ENABLED, {'enable': enable}) On 2014/01/08 01:23:49, frankf wrote: > ...
5 years, 10 months ago (2014-01-16 00:29:28 UTC) #4
chrisgao (Use stgao instead)
lgtm
5 years, 10 months ago (2014-01-17 01:46:46 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/samuong@chromium.org/101203012/130001
5 years, 10 months ago (2014-01-17 01:47:43 UTC) #6
commit-bot: I haz the power
5 years, 10 months ago (2014-01-17 06:16:58 UTC) #7
Message was sent while issue was closed.
Change committed as 245432

Powered by Google App Engine
This is Rietveld 408576698